#property copyright "Copyright  2014,  "
#property link      "cmillion@narod.ru"
#property show_inputs
#property version   "1.00"
#property strict
//--------------------------------------------------------------------
#property description "         orders -    , "
#property description "       ,     ,   ." 
#property description ",  10   0,01,    400 ,     - 50, "
#property description "  -100,   - 150,   - 200     10 ."
//--------------------------------------------------------------------
input int     type         = OP_BUY;   //  0 - buy;   1 - sell
input int     orders       = 10;       //- 
input int     stoploss     = 200;       //  SL,  0,  SL  
input int     takeprofit   = 200;       //  TP,  0,  SL  
input int     Step_TP      = 100;       //   TP
input double  Lot          = 0.1;      // 

input int     slippage     = 3;        //      
input int     Magic        = 0;        //  
//--------------------------------------------------------------------
double SL,TP;
//--------------------------------------------------------------------
int start()
{
   if (type==OP_BUY)
   {
      if (takeprofit!=0) TP  = NormalizeDouble(Ask + takeprofit*Point,Digits); else TP=0;
      if (stoploss!=0)   SL  = NormalizeDouble(Ask - stoploss*Point,Digits); else SL=0;     
   }
   if (type==OP_SELL)
   {
      if (takeprofit!=0) TP  = NormalizeDouble(Bid - takeprofit*Point,Digits); else TP=0;
      if (stoploss!=0)   SL  = NormalizeDouble(Bid + stoploss*Point,Digits); else SL=0;     
   }
   for (int i=0; i<orders; i++)
   {
      if (type==OP_BUY)
      {
         OPENORDER (type,NormalizeDouble(Ask,Digits));
         TP  = NormalizeDouble(TP + Step_TP*Point,Digits);
      }
      if (type==OP_SELL)
      {
         OPENORDER (type,NormalizeDouble(Bid,Digits));
         TP  = NormalizeDouble(TP - Step_TP*Point,Digits);
      }
   }
return(0);
}
//--------------------------------------------------------------------
void OPENORDER(int ord, double Price)
{
   int error=0,err=0;
   while (!IsStopped())
   {  
      RefreshRates();
      error=OrderSend(Symbol(),ord, Lot, Price,slippage,0,0,NULL,Magic,0,clrNONE);
      if (error==-1)
      {  
         ShowERROR();
         err++;
      }
      else
      {
         if (!OrderModify(error,Price,SL,TP,0,White)) Print("Error OrderModify ",GetLastError());
         return;
      }
      if (err > 10) return;
      Sleep(2000);
   }
return;
}                  
//--------------------------------------------------------------------
void ShowERROR()
{
   int err=GetLastError();
   switch ( err )
   {                  
      case 1:   return;
      case 2:   Alert("     ",Symbol());return;
      case 3:   Alert("Error   ",Symbol());return;
      case 130: Alert("Error     Ticket ",Symbol());return;
      case 134: Alert("    ",Symbol());return;
      case 146: Alert("Error    ",Symbol());return;
      case 129: Alert("Error   ",Symbol());return;
      case 131: Alert("Error   ",Symbol());return;
      case 4200:Alert("Error    ",Symbol());return;
      default:  Alert("Error  " ,err," ",Symbol());return;
   }
}
//--------------------------------------------------------------------

